--- title: "Run query asynchronously" slug: "analytics-dataquery-query-asyncqueries" updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-dataquery-query-asyncqueries" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Run query asynchronously Available in VPC Run a query asynchronously. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/queries/async | ### Request headers For information about the headers common to all Data Query APIs, see [Data Query request headers](/docs/en/analytics-dataquery#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `query` | String | Required | Execution query statement | | `executionParameters` | Array | Optional | Query execution parameter | | `isReuse` | Boolean | Optional | Whether to reuse query results - `true` \| `false` - `true`: Reuse - `false`: Not reuse | | `reuseMaxAge` | Integer | Conditional | Time allowed to reuse query results (minute) - 1-10080 (default: 60) - Required if `isReuse` is `true`. - e.g., If 60 is entered: Reuse valid results if they were returnable 60 minutes before the query was executed. | | `dataSource` | String | Optional | Query execution data source name | | `database` | String | Optional | Query execution database name | ### Request example The request example is as follows: ``` curl --location --request POST 'https://kr.dataquery.naverncp.com/api/v2/queries/async' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "query": "SELECT * FROM public_data.korea_trade_insurance.exchange_rate", "isReuse": false }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | Execution ID | | `columns` | Array | - | Column information - `[]` (valid value when asynchronously executed) - Check response result: See [Get query result](/docs/en/analytics-dataquery-query-getresult). | | `data` | Array | - | Query execution result - `[]` (valid value when asynchronously executed) - Check response result: See [Get query result](/docs/en/analytics-dataquery-query-getresult). | | `offset` | Long | - | Offset to use for page query - If `isFinished` is `false`, use it for the next page query request. | | `isFinished` | Boolean | - | Whether all pages have been queried - `true` \| `false` - `true`: Completed (Next page does not exist.) - `false`: Incomplete (Next page exists.) | ### Response status codes For information about the HTTP status codes common to all Data Query APIs, see [Data Query response status codes](/docs/en/analytics-dataquery#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "id": "dc82c8a8-****-****-****-990cb114e172", "columns": [], "data": [], "offset": 0, "isFinished": false } ```